## robocode
Class BulletHitBulletEvent

    java.lang.Object
      robocode.Event
          robocode.BulletHitBulletEvent

All Implemented Interfaces:
  Comparable

public class BulletHitBulletEvent
extends Event

This event is sent to `onBulletHitBullet` when one of your bullets hits another bullet.

Constructor Summary
`BulletHitBulletEvent(Bullet bullet, Bullet hitBullet)` Called by the game to create a new BulletHitEvent.

Method Summary
`Bullet` `getBullet()` Returns the Bullet.
`Bullet` `getHitBullet()` Returns the Bullet that was hit.

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BulletHitBulletEvent

    public BulletHitBulletEvent(Bullet bullet,
                                Bullet hitBullet)

  Called by the game to create a new BulletHitEvent.

Method Detail

### getBullet

    public Bullet getBullet()

  Returns the Bullet.

  Returns:
    Bullet

### getHitBullet

    public Bullet getHitBullet()

  Returns the Bullet that was hit.

  Returns:
    Bullet